Bug 1007392 - [ovirt-engine-notifier] - Mail - Incorrect mail headline on Error (Issue Solved Notification, Failed to query for notifications)
[ovirt-engine-notifier] - Mail - Incorrect mail headline on Error (Issue Solv...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-notification-service (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.4.0
Assigned To: Mooli Tayer
Jiri Belka
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 07:51 EDT by David Botzer
Modified: 2016-02-10 14:34 EST (History)
11 users (show)

See Also:
Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ntifer-log (406.34 KB, text/plain)
2013-09-12 07:51 EDT, David Botzer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21594 None None None Never

  None (edit)
Description David Botzer 2013-09-12 07:51:58 EDT
Created attachment 796816 [details]
ntifer-log

Description of problem:
[ovirt-engine-notifier] - Mail - Incorrect mail headline on Error ("Issue Solved Notification, Failed to query for notifications")

Where the mail is sent on an Error, the headline cannot be "Issue Solved"

Version-Release number of selected component (if applicable):
3.3/is13

How reproducible:
always

Steps to Reproduce:
1.Configure ovirt-engine-notifier to send mail
2.configure a user in webadmin to send mails on events
3.restart notifer & engine services
4.stop postgre service

Actual results:
Getting mail on the event occured

Issue Solved Notification. (stum-pc.com), [Failed to query for notifications. Database Connection refused.]

Expected results:
The mail headline is incorrect (Issue is not solved)

Additional info:
Time:Wed Sep 11 17:33:07 IDT 2013
Message:Failed to query for notifications. Database Connection refused.
Severity:2
Comment 2 Sandro Bonazzola 2014-01-14 03:44:55 EST
ovirt 3.4.0 alpha has been released
Comment 3 Jiri Belka 2014-01-27 05:34:29 EST
I fail to understand the issue and even verification steps. Please provide some instructions.
Comment 4 Mooli Tayer 2014-01-27 06:29:39 EST
The notifier send two types of messages:
1 - "Alert Notification." and 2 -"Issue Solved Notification."
When the notifier cannot connect to email it sends a notification[Bug 971324]

this bug is about it sending 2 instead of 1.
Comment 5 Jiri Belka 2014-01-27 10:22:25 EST
ok, ovirt-engine-tools-3.4.0-0.2.master.20140112020439.git9ad8529.el6.noarch
Comment 6 Itamar Heim 2014-06-12 10:07:55 EDT
Closing as part of 3.4.0

Note You need to log in before you can comment on or make changes to this bug.